<div class="container">
	<div class="card card-body">
		{{#if (cmp_eq mode "create")}}
		<h3>Create Video</h3>
		<form action="/video/create?_method=PUT" method="post" id="content-form" enctype="multipart/form-data">
			<input type="hidden" name="_method" value="PUT">
		{{else}}
		<h3>Update Video</h3>
		<form action="/video/update/{{content.uuid}}?_method=PATCH" method="post" id="content-form" enctype="multipart/form-data">
			<input type="hidden" name="_method" value="PATCH">
		{{/if}}
			
			<div class="row">
				<div class="col">
					<div class="form-group">
						<label class="font-italic" for="title">Title</label>
						<input type="text" class="form-control typeahead" name="title" value="{{content.title}}" id="content-title" data-provide="typeahead" autocomplete="off" required>
					</div>

					<div class="form-group mb-4">
						<label class="font-italic" for="story">Story</label>
						<textarea class="form-control" id="story" name="story" rows="7">{{content.story}}</textarea>
					</div>
				</div>

				<div class="form-group col">
					<input type="file"   id="imageFile"          name="imagePoster" accept="image/png,image/jpeg,image/jpg,image/gif">
					<input type="hidden" id="content-poster-url" name="posterURL">
					{{#if (cmp_ne mode "create")}}
					<img id="imagePoster" class="border img-thumbnail img-fluid" style="height:95%;width:100%" src="{{content.urlImage}}">
					{{else}}
					<img id="imagePoster" class="border img-thumbnail img-fluid" style="height:95%;width:100%" src="/img/no-image.jpg">
					{{/if}}
					<div class="font-weight-bold text-danger small" id="posterErr" style="display:none"></div>
				</div>
			</div>

			<div class="form-group">
				<div class="row mb-2">
					<div class="col-12 col-sm-12 col-md-12 col-lg-6 mb-4">
						<label class="font-italic">Date of release</label>
						<input id="datepicker" width="200" name="dateReleased" value="{{format_date content.dateReleased 'YYYY-MM-DD'}}" readonly/>
					</div>
					<div class="col-12 col-sm-12 col-md-12 col-lg-6">
						<label class="font-italic">Language</label>
						<br>
						<div class="form-check form-check-inline">
							<input class="form-check-input" type="checkbox" name="language" id="chineseLang" value="Chinese" {{multi_check content.language "Chinese"}}>
							<label class="form-check-label" for="chinese">Chinese</label>
						</div>
						<div class="form-check form-check-inline">
							<input class="form-check-input" type="checkbox" name="language" id="englishLang" value="English" {{multi_check content.language "English"}}>
							<label class="form-check-label" for="englishLang">English</label>
						</div>
						<div class="form-check form-check-inline">
							<input class="form-check-input" type="checkbox" name="language" id="malayLang" value="Malay" {{multi_check content.language "Malay"}}>
							<label class="form-check-label" for="malaylang">Malay</label>
						</div>
						<div class="form-check form-check-inline">
							<input class="form-check-input" type="checkbox" name="language" id="tamilLang" value="Tamil" {{multi_check content.language "Tamil"}}>
							<label class="form-check-label" for="tamilLang">Tamil</label>
						</div>
						<p class="font-weight-bold text-info" id="languageErr" style="display:none">Please select one language</p>
					</div>
				</div>
			</div>

			<div class="form-group">
				<div class="row">
					<div class="col-12 col-sm-12 col-md-6 col-lg-6">
						<label class="font-italic">Subtitles</label>
						<br>
						<div class="form-check form-check-inline">
							<input class="form-check-input" type="checkbox" name="subtitle" id="chinese" value="Chinese" {{multi_check content.subtitle "Chinese"}}>
							<label class="form-check-label" for="chinese">Chinese</label>
						</div>
						<div class="form-check form-check-inline">
							<input class="form-check-input" type="checkbox" name="subtitle" id="english" value="English" {{multi_check content.subtitle "English"}}>
							<label class="form-check-label" for="englishLang">English</label>
						</div>
						<div class="form-check form-check-inline">
							<input class="form-check-input" type="checkbox" name="subtitle" id="malay" value="Malay" {{multi_check content.subtitle "Malay"}}>
							<label class="form-check-label" for="malay">Malay</label>
						</div>
						<div class="form-check form-check-inline">
							<input class="form-check-input" type="checkbox" name="subtitle" id="tamil" value="Tamil" {{multi_check content.subtitle "Tamil"}}>
							<label class="form-check-label" for="tamil">Tamil</label>
						</div>
						{{!--<div class="form-check form-check-inline">
							<div class="form-group">
								<input type="text" class="form-control form-control-sm" name="otherSub" id="otherSub" placeholder="Other">
							</div>
						</div>--}}
					</div>

					<div class="col-12 col-sm-12 col-md-6 col-lg-6">
						<label class="font-italic">Classification</label>
						<br>
						<div class="form-check form-check-inline">
							<input class="form-check-input" type="radio" id="G" value="G" name="classification" {{multi_check content.classification "G"}}>
							<label class="form-check-label" for="G">G</label>
						</div>
						<div class="form-check form-check-inline">
							<input class="form-check-input" type="radio" id="PG" value="PG" name="classification" {{multi_check content.classification "PG"}}>
							<label class="form-check-label" for="PG">PG</label>
						</div>
						<div class="form-check form-check-inline">
							<input class="form-check-input" type="radio" id="PG13" value="PG13" name="classification" {{multi_check content.classification "PG13"}}>
							<label class="form-check-label" for="PG13">PG13</label>
						</div>
						<div class="form-check form-check-inline">
							<input class="form-check-input" type="radio" id="NC13" value="NC13" name="classification" {{multi_check content.classification "NC13"}}>
							<label class="form-check-label" for="NC13">NC13</label>
						</div>
						<div class="form-check form-check-inline">
							<input class="form-check-input" type="radio" id="M18" value="M18" name="classification" {{multi_check content.classification "M18"}}>
							<label class="form-check-label" for="M18">M18</label>
						</div>
						<div class="form-check form-check-inline">
							<input class="form-check-input" type="radio" id="R21" value="R21" name="classification" {{multi_check content.classification "R21"}}>
							<label class="form-check-label" for="R21">R21</label>
						</div>
					</div>
				</div>
			</div>
			
			<br>

			<button id="btnSubmit" type="submit" class="btn btn-primary">Save</button>
			{{#if (cmp_ne mode "create")}}
			<a id="btnCancel" class="btn btn-primary" href="/video/list">Cancel</a>
			{{/if}}
		</form>
	</div>
</div>

<script>
	// 1. Variable is correct x.ssss
	// 2. value or default date assigned to a string
	$('#datepicker').datepicker({
		format: 'yyyy-mm-dd',
		uiLibrary: 'bootstrap4',
		defaultDate: "{{format_date content.dateReleased 'YYYY-MM-DD'}}"
	});
</script>